.desk-btns {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 48px;
    height: 48px;
    border-radius: 50%;
    border: none;
    transition: .4s all linear;
    cursor: pointer;
}

.desk-btns:hover {
    transform: scale(1.1);
}

.desk-btns.prev-btn {
    position: fixed;
    left: 33%;
    background: url('/img/slide-btn-prev.webp') center / cover no-repeat;
}

.desk-btns.next-btn {
    position: fixed;
    right: 33%;
    background: url('/img/slide-btn-next.webp') center / cover no-repeat;
}

.storyWrapper {
    display: flex;
    justify-content: space-around;
    margin: 0 auto 20px auto;
    padding-top:20px;
    width:60%;
    
    
}


.story-item {
    width: 111px;
    height: 111px;
    /*margin: 0 17px 0 0;*/
    display: inline-block;
    cursor: pointer;
    border-radius: 6px;
    position: relative;
    overflow: hidden;
}

.story-item img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: 1s;
}
.story-item img:hover {
    transform: scale(1.1); 
}

.story-item p {
    position: absolute;
    bottom: 0;
    left: 50%;
    transform: translate(-50%, -15%);
    height: 30%;
    text-align: center;
    text-shadow: 0px 1px 2px rgba(0, 0, 0, 0.55);
    font-size: 11.156px;
    width: 80%;
    font-style: normal;
    font-weight: 500;
    line-height: 16px;
    color: #fff;
    z-index: 2;
    display: flex;
    justify-content: center;
    align-items: center;
}

.storyModal {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: none;
    align-items: center;
    justify-content: center;
    background-color: rgba(0, 0, 0, 0.8);
    z-index: 9999;
}

.modal-content {
    position: relative;
    top: 2%;
    width: 360px;
    height: 640px;
    border-radius: 0;
    overflow: hidden;
}

.story {
    position: relative;
    display: none;
    width: 100%;
    height: 100%;
    cursor: pointer;
}

.story::before {
    content: '';
    position: absolute;
    width: 100%;
    height: 50px;
    top: 0;
    left: 0;
    background: linear-gradient(180deg, #000 0%, rgba(0, 0, 0, 0.78) 40.8%, rgba(0, 0, 0, 0.00) 100%);
}

.story::after {
    content: '';
    position: absolute;
    width: 100%;
    height: 165px;
    left: 0;
    bottom: 0;
    background: linear-gradient(180deg, #000 0%, rgba(0, 0, 0, 0.90) 37.3%, rgba(0, 0, 0, 0.00) 100%);
    transform: rotate(180deg);
}

.story img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.story-btns {
    position: absolute;
    bottom: 30px;
    left: 17px;
    display: flex;
    flex-direction: column;
    width: 90%;
    z-index: 2;
}

.story-btn-red {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 0 0 20px 0;
    padding: 15px 5px;
    width: 100%;
    align-self: center;
    text-decoration: none;
    background-color: #DC1F00;
    border-radius: 4px;
    border: 1px solid #DC1F00;
    transition: .4s all linear;
    cursor:pointer;
}

.story-btn-red:hover {
    transform: scale(1.02);
}

.story-btn-red::before {
    content: '';
    position: absolute;
    top: -5px;
    left: -6px;
    border-radius: 5px;
    border: 1px dashed rgba(255, 255, 255, 0.50);
    width: 103%;
    height: 116%;
}

.story-btn-red span {
    position: relative;
    right: 10px;
}

.story-btn-red span::before {
    content: '';
    position: absolute;
    top: -1px;
    right: -54px;
    width: 48px;
    height: 55px;
    background: url('/img/stories-btn.webp') center / cover no-repeat;
}

.story-btn-white {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 15px 5px;
    width: 100%;
    align-self: center;
    text-decoration: none;
    border-radius: 4px;
    border: 1px solid #00CFA6;
    transition: .4s all linear;
}

.story-btn-white:hover {
    transform: scale(1.02);
}

.story-btns span {
    font-size: 18px;
    font-style: normal;
    font-weight: 700;
    line-height: 20.7px;
    color: #fff;
}

.modal-items {
    position: absolute;
    top: 0;
    left: 0;
    width: 96%;
    padding: 5px 10px;
    display: flex;
    align-items: center;
    justify-content: space-between; 
    z-index: 2;
}

.close-btn {
    background: none;
    border: none;
    font-size: 35px;
    font-weight: 100;
    color: #fff;
    cursor: pointer;
    z-index: 2;
}

.progress-bars {
    display: flex;
    gap: 5px;
    z-index: 2;
    width: 90%;
}

.progress-bar {
    flex-grow: 1;
    height: 5px;
    background-color: rgba(255, 255, 255, 0.5);
    border-radius: 5px;
    overflow: hidden;
    cursor: pointer;
}

.progress-bar div {
    height: 100%;
    width: 0%;
    background-color: #fff;
    transition: width 10s linear;
}

.navigation-button {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    background: none;
    border: none;
    font-size: 30px;
    color: #fff;
    cursor: pointer;
    padding: 10px;
    z-index: 10;
}

.prev-btn {
    left: -40px;
}

.next-btn {
    right: -40px;
}

@media screen and (max-width: 700px) {
    .storyWrapper {
        width:100%;
    }
    .desk-btns {
        display: none;
    }
    
    .modal-content {
        top: 0;
        width: 100%;
        height: 100%;
    }
    
    .story-item {
        width: 65px;
        height: 65px;
        /*margin: 0 17px 0 0;*/
    }
    
    .story-item p {
        font-size: 8px;
        line-height: normal;
    }
    
    .modal-items {
        width: 100%;
    }
    
    .story-btns {
        left: 21px;
    }
    
    .progress-bars {
        width: 98%;
    }
}

@media screen and (max-width: 321px) {
    .story-item {
        width: 60px;
        height: 60px;
    }
}